
var APP_NAME = "Inkpodサポート";
 

// よく使う関数をまとめたjsファイルをインポート
// ext直下ではないjsファイルはimportFileでロードし使用することができる
importFile("lib/utils.js");

customizeMenu();

var trenderer = new Packages.jp.carabiner.beitel.app.inkpod.ThumbnailRenderer();

/**
 * メニューをカスタマイズします。
 */
function customizeMenu()
{
    // thumbnailFactoryの登録
    var thumbnailManager = window.thumbnailManager;
    var renderer = thumbnailManager.createRenderer([".zmp"]);
    renderer.description = "Inkpodファイル";
    renderer.renderCallback = function(context) {
    	var image = trenderer.createThumbnail(window, context.filename, context.inputStream, context.preferredSize);
    	context.setBufferedImage(image);
    };
    thumbnailManager.appendChild(renderer);
}
